1

Why may be the possible reason(s) that neither Ethfiddle nor the Remix are able to compile smart contract supporting the latest Solidity version 0.5.0?

1

There is a problem loading the compiler. Try using a nighlty version meanwhile. This one works for me https://remix.ethereum.org/#optimize=false&version=soljson-v0.5.0-nightly.2018.11.13+commit.ac980fb8.js

3
  • With this nightly build, compiler keeps throwing Unknown exception during compilation.
    – Aniket
    Nov 21 '18 at 7:23
  • Go manually changing the compiler versions until you find one that works ... :/ No idea why this is happening. Nov 21 '18 at 7:30
  • Might be a problem in your compiling contracts aswell. For me no error is shown when selecting the 0.5.0 commit, just a silent fail. Nov 21 '18 at 7:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.